Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
cant boot any kernel > 2.6.17
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
renihs_wrk
n00b
n00b


Joined: 09 Jan 2007
Posts: 5

PostPosted: Wed Jan 17, 2007 2:30 pm    Post subject: cant boot any kernel > 2.6.17 Reply with quote

hi!
after some time using distcc/crossdev originating from 2005.0 i finally have my cute litte netra x1 up and running with gcc-4.1.1-r3 and glibc-2.4-r3 :) and latest 2006.1
everything works fine (as expected with gentoo :), however i seem to be unable to boot any kernel higher than 2.6.17

it simply sits there and does nothing:

SILO Version 1.4.13
boot: gentoo-2.6.18
Allocated 8 Megs of memory at 0x40000000 for kernel
Loaded kernel version 2.6.18

Remapping the kernel... done.
Booting Linux...

(i think i can rule out missing console stuff or alike, because even then the box would come up sooner or later and be reached via ssh)
i have no clue what to try since i am re-using old (working) configs.

does anyone happen to have any clue or suggestion on this?

thanks in advance!
_________________
if you find spelling errors you are authorized to keep them!
Back to top
View user's profile Send private message
Nijinski
n00b
n00b


Joined: 28 Nov 2004
Posts: 72
Location: Fife, Scotland

PostPosted: Wed Jan 17, 2007 11:24 pm    Post subject: Reply with quote

I'd really like o be able to say I can help, but......

My Netra X1 currently says

Code:
uname -a

Linux sparky 2.6.17-gentoo-r5 #1 PREEMPT Thu Aug 10 09:32:38 GMT 2006 sparc64 sun4u TI UltraSparc IIe (Hummingbird) GNU/Linux


for exactly the same reason.

Never persuaded it to boot anything more recent.
_________________
Help ! Help ! I'm being repressed
Back to top
View user's profile Send private message
KWhat
Guru
Guru


Joined: 04 Sep 2005
Posts: 563
Location: Los Angeles

PostPosted: Wed Jan 24, 2007 4:57 pm    Post subject: Reply with quote

I am currently having the same issue with the 2.6.17 kernel soo if you could let me know how you got that to work i would appreciate it.
Back to top
View user's profile Send private message
iero
n00b
n00b


Joined: 02 Jan 2007
Posts: 30

PostPosted: Sat Mar 03, 2007 2:02 pm    Post subject: Reply with quote

I confirm.

Not able to boot a 2.6.20,

Seems I need to downgrade to 2.6.17. Not so problematic for the moment.

Greg.
_________________
Des naïfs ne savaient pas que c'était impossible. Alors ils l'ont fait.

iero - http://www.iero.org
Back to top
View user's profile Send private message
druggo
Apprentice
Apprentice


Joined: 24 Sep 2003
Posts: 289
Location: Hangzhou, China

PostPosted: Mon Mar 05, 2007 7:22 am    Post subject: Reply with quote

oh, I had the same problem with sparc64-unknown-linux-gnu-4.1.1 & glibc-2.5

then I try to chroot to stage3-sparc64-2006.0 with sparc64-unknown-linux-gnu-3.4.5 & glibc-2.3.5-r3 and recompile the kernel using the same config,
OK, this kernel works:)

maybe there is something wrong with the new toolchains or glibc ?
_________________
HighWayToHell(blog)
http://blog.druggo.org/
Back to top
View user's profile Send private message
druggo
Apprentice
Apprentice


Joined: 24 Sep 2003
Posts: 289
Location: Hangzhou, China

PostPosted: Mon Mar 05, 2007 10:17 am    Post subject: Reply with quote

when I downgrade kgcc64 to sparc64-unknown-linux-gnu-3.4.6, it OK now ~! :lol:
_________________
HighWayToHell(blog)
http://blog.druggo.org/
Back to top
View user's profile Send private message
Weeve
Retired Dev
Retired Dev


Joined: 30 Oct 2002
Posts: 641

PostPosted: Tue Mar 06, 2007 7:21 pm    Post subject: Reply with quote

There's a patch that has been released on the sparclinux ml that may fix this issue. It fixed the display issues I had on a Blade 100 with a gcc-4.1.x compiled 2.6.20 kernel. Assuming the patch works out OK and no one reports problems, it should make its way into both gentoo-sources and vanilla-sources.
Back to top
View user's profile Send private message
gust4voz
Retired Dev
Retired Dev


Joined: 09 Sep 2003
Posts: 373
Location: Buenos Aires, Argentina

PostPosted: Tue Mar 06, 2007 7:50 pm    Post subject: Reply with quote

Try gentoo-sources-2.6.20-r1, it includes the atyfb gcc4 patch, the e450 pci fix (doesn't boot) and bbc_i2c (hopefully won't eat cpu).
It'll be released probably later today or tomorrow.
_________________
Gustavo Zacarias
Gentoo/SPARC monkey
Back to top
View user's profile Send private message
Nijinski
n00b
n00b


Joined: 28 Nov 2004
Posts: 72
Location: Fife, Scotland

PostPosted: Tue Mar 06, 2007 9:24 pm    Post subject: Reply with quote

Thanks, I'll give it a shot and report back on results
_________________
Help ! Help ! I'm being repressed
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum